# Build

## Building a Two Liter Soda Bottle Rocket

The steps here show how to build a two liter soda bottle rocket. The @boardname@ rides inside a nose cone to protect it during flight. Also, you need to make a rocket launch system.

### Rocket construction

| | |
|-|-|
| **(1)** Find two 2-liter pop bottles to build the rocket and nose cone.| | ![two liter bottles](/static/courses/ucp-science/rocket-acceleration/two-liter-bottles.jpg) |
| **(2)** Attach the fins cut from a plastic strawberry container.| | ![rocket fins](/static/courses/ucp-science/rocket-acceleration/rocket-fins.jpg)|
| **(3)** Paint the 2-liter rocket after the fins are attached.| | ![Painted rocket](/static/courses/ucp-science/rocket-acceleration/painted-rocket.jpg)|
| **(4)** Cut the nose cone from the bottom of a 2-liter pop bottle.<br/>It slides over the top of the rocket with the @boardname@ packaged inside.| | ![Nose cone](/static/courses/ucp-science/rocket-acceleration/nose-cone.jpg)|
| **(5)** Put the @boardname@ inside the protective wrapping.| | ![Wrapping for micro:bit](/static/courses/ucp-science/rocket-acceleration/microbit-wrap.jpg)|
| **(6)** Place the  microbit inside the nose cone.| | ![micro:bit inside nose](/static/courses/ucp-science/rocket-acceleration/microbit-in-nose.jpg)|
| **(7)** The complete rocket with nose cone attached.| | ![Completed rocket](/static/courses/ucp-science/rocket-acceleration/completed-rocket.jpg)|
| **(8)** Set the rocket on the launcher.| | ![Rocket on the launcher](/static/courses/ucp-science/rocket-acceleration/rocket-on-launcher.jpg)|
| **(9)** Pump up the pressure and release the rocket.| | ![Rocket blasting off](/static/courses/ucp-science/rocket-acceleration/blast-off.jpg)|

### Launch system

In order to launch the rocket, you need to deliver compressed air to the rocket. There are several ways to make the rocket launcher. Here are some instructions and videos describing ways to do this.

#### ~ hint

**Caution!**

The bottle rocket is launched when enough pressure builds up to push it off the launcher base. You don't always know when exaclty enough pressure exists to push the rocket up. To avoid being hit by the rocket, don't stand too close (you and anyone watching, and especially, don't stand directly over the rocket!) to it while you're adding pressure to the launcher.

It may launch with enough force to hurt you if you're hit by it!

#### ~ 

* [Air Command Water Rocket instructions](http://www.aircommandrockets.com/rocket_launcher.htm) (shows a variety of instructions)
* [How To Build The Simplest Water Bottle Rocket Launcher](https://www.youtube.com/watch?v=gyOzvqmUs4c)
* [Making a Water Bottle Rocket Launcher](https://www.youtube.com/watch?v=gDN9lxgzPlo)
* [Weekend Project: Compressed Air Rocket](https://www.youtube.com/watch?v=eNFfK5uo6D0)

<br/>

| | | |
|-|-|-|
| Adapted from "[Rocket Acceleration z Radios](https://drive.google.com/open?id=1IyhCPdYQevKh3kHNgukSxlgdvZIKuzmIBjLSRnFS36o)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |
